plasma-widget-uim_1.8.6+gh20161003.0.d63dadd-4_i386.deb


Advertisement

Description

plasma-widget-uim - Universal Input Method - KDE Plasma widget

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name plasma-widget-uim
Package version 1.8.6+gh20161003.0.d63dadd
Package release 4
Package architecture i386
Package type deb
Installed size 85 B
Download size 22.72 KB
Official Mirror archive.ubuntu.com
Uim is an input method module library which supports various scripts and can
act as a front end for a range of input methods, including Anthy, Canna,
or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
M17n (for many other languages). Most of its functions are implemented in
Scheme, so it's very simple and flexible.
This package contains a KDE Plasma widget which can configure uim, monitor
its conversion mode, and so on.

Alternatives

Package Version Architecture Repository
plasma-widget-uim_1.8.6+gh20161003.0.d63dadd-4_amd64.deb 1.8.6+gh20161003.0.d63dadd amd64 Ubuntu Universe
plasma-widget-uim - - -

Requires

Name Value
libc6 >= 2.4
libkdecore5 >= 4:4.3.4
libplasma3 >= 4:4.5.90
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.8.0
libstdc++6 >= 5
libuim-data >= 1:1.8.6+gh20161003.0.d63dadd-4
libuim-scm0 >= 1:1.5.7
libuim8 >= 1:1.5.7
uim-common >= 1:1.8.6+gh20161003.0.d63dadd-4
uim-qt >= 1:1.8.6+gh20161003.0.d63dadd-4
uim-utils >= 1:1.8.6+gh20161003.0.d63dadd-4

Download

Type URL
Binary Package plasma-widget-uim_1.8.6+gh20161003.0.d63dadd-4_i386.deb
Source Package uim

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install plasma-widget-uim deb package:
    # sudo apt-get install plasma-widget-uim

Files

Path
/usr/lib/kde4/plasma_applet_uim.so
/usr/share/doc/plasma-widget-uim
/usr/share/kde4/services/plasma-applet-uim.desktop

Changelog

2017-08-16 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20161003.0.d63dadd-4) unstable; urgency=medium
[ HIGUCHI Daisuke (VDR dai) ]
* Brown paper bag release.
* debian/rules: remove autotools_dev from dh
* uim-utils is marked as Multi-Arch: foreign.
2017-08-16 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20161003.0.d63dadd-3) unstable; urgency=medium
* Ack NMU. thanks to Dmitry Shachnev <mitya57@debian.org>.
* B-D: automake instead of obsolete automake1.11 (Closes: #865263).
- d/p/do_not_use_run-singletest_sh.patch: new file.
- d/p/qt5-use-automake-1.11.patch: remove.
* d/control: remove dropped PRIME a long time ago.
* d/control: remove pre-stretch Replaces/Breaks.
* libuim-data,uim-{byeoru,latin,pinyin,tcode,viqr,ipa-x-sampa,look} are
marked as Multi-Arch: foreign.
* uim-{skk,anthy,m17nlib} are marked as Multi-Arch: same.
* bump up Standards-Version 4.0.0.
* cherry-picked from debian-experimental branch.
- d/control: replace Uploaders.
Thanks to Kiwamu Okabe <kiwamu@debian.or.jp> and
Nobuhiro Iwamatsu <iwamatsu@debian.org> for previous works.
Welcome to NOKUBI Takatsugu <knok@daionet.gr.jp>.
- upgrade debhelper to 10.
d/control: remove autotools-dev and dh-autoreconf from B-D:
d/rules: remove autotools_dev and autoreconf from dh.
- remove quilt from B-D due to source format 3.0 quilt.
* fix FTBFS with Qt 5.9: Could not find feature reduce_exports.
thanks to Dmitry Shachnev <mitya57@debian.org>, (Closes: #868031).
2017-07-09 - Dmitry Shachnev <mitya57@debian.org>
uim (1:1.8.6+gh20161003.0.d63dadd-2.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix build with gnome-panel 3.24 (closes: #866388).
- Backport two upstream commits to use the in-process panel applet
(panel_applet_inprocess.patch).
- Update debian/uim-applet-gnome.install.
- Bump libpanel-applet-dev build-dependency to 3.22.
2016-11-06 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20161003.0.d63dadd-2) unstable; urgency=medium
* debian/uim-{qt,gtk3,common,qt5,gtk2.0}.{postinst,prerm}:
maintainer script(s) do not start on #!
(Closes: #843284, #843286, #843293, #843296, #843300)
2016-10-03 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20161003.0.d63dadd-1) unstable; urgency=medium
* New upstream git checkout.
- do not use GtkWidget-focus-* deprecated since GTK 3.14 (Closes: #838844).
* debian/control: mark libuim-plugins as Multi-Arch: same,
reported by Multiarch hinter
* debian/README.Debian: eliminate lintian warning:
spelling-error-in-readme-debian Chosing Choosing
2016-06-30 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20160630.0.c408e95-1) unstable; urgency=medium
* New upstream git checkout.
2016-06-26 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20160626.0.6821431-1) unstable; urgency=medium
* New upstream git checkout.
* resurrect wb86/zm scms and icons.
* debian/libuim-data.install: re-remove tables wb86.table and zm.table.
* debian/rules: fix table suffix.
2016-06-23 - HIGUCHI Daisuke (VDR dai) <dai@debian.org>
uim (1:1.8.6+gh20160621.0.87bf935-1) unstable; urgency=medium
* New upstream git checkout.
* revert /usr/share/doc/uim-xim is linked to /usr/share/doc/uim-common.
- debian/rules: do not dh_link from /usr/share/doc/uim-xim to uim-common's.
- debian/uim-xim.lintian-overrides: resurrect.
* debian/uim-qt5.menu: remove.
* upload to unstable.

See Also

Package Description
plasma-widget-weatherforecast_1.3-0ubuntu2_i386.deb weather Plasma widget that shows the forecast and temperature
plasma-widget-wifi_0.5+repack-0ubuntu1_i386.deb A Plasma widget that displays WiFi connection strength
plasma-widgets-addons_5.10.5-0ubuntu2_i386.deb additional widgets for Plasma 5
plasma-workspace-dev_5.10.5-0ubuntu1_i386.deb Plasma Workspace for KF5 devel files
plasma-workspace-wallpapers_5.10.5-0ubuntu1_all.deb Wallpapers for Plasma 5
plasma-workspace-wayland_5.10.5-0ubuntu1_i386.deb Plasma Workspace for KF5 - Wayland integration
plasma-workspace_5.10.5-0ubuntu1_i386.deb Plasma Workspace for KF5
plasmidomics_0.2.0-5_all.deb draw plasmids and vector maps with PostScript graphics export
plaso_1.5.1+dfsg-3_all.deb super timeline all the things
plast-example_2.3.1+dfsg-4_all.deb Parallel Local Sequence Alignment Search Tool (example data)
plastimatch_1.6.5+dfsg.1-1build4_i386.deb medical image reconstruction and registration
playitslowly_1.5.0-1_all.deb Plays back audio files at a different speed or pitch
playmidi_2.4debian-10build1_i386.deb MIDI player
plee-the-bear-data_0.6.0-4_all.deb data for Plee the Bear
plee-the-bear_0.6.0-4_i386.deb 2D platform game
Advertisement
Advertisement